// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.27.1
// 	protoc        v3.18.1
// source: admin/payment.proto

package freeje_admin

import (
	api "gitlab.com/BetaCompany/Freeje/sdk/go/api"
	client "gitlab.com/BetaCompany/Freeje/sdk/go/api/client"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Method struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id      string         `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Meta    *client.Method `protobuf:"bytes,2,opt,name=meta,proto3" json:"meta,omitempty"`
	Deleted bool           `protobuf:"varint,3,opt,name=deleted,proto3" json:"deleted,omitempty"`
	Enabled bool           `protobuf:"varint,4,opt,name=enabled,proto3" json:"enabled,omitempty"`
}

func (x *Method) Reset() {
	*x = Method{}
	if protoimpl.UnsafeEnabled {
		mi := &file_admin_payment_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Method) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Method) ProtoMessage() {}

func (x *Method) ProtoReflect() protoreflect.Message {
	mi := &file_admin_payment_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Method.ProtoReflect.Descriptor instead.
func (*Method) Descriptor() ([]byte, []int) {
	return file_admin_payment_proto_rawDescGZIP(), []int{0}
}

func (x *Method) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *Method) GetMeta() *client.Method {
	if x != nil {
		return x.Meta
	}
	return nil
}

func (x *Method) GetDeleted() bool {
	if x != nil {
		return x.Deleted
	}
	return false
}

func (x *Method) GetEnabled() bool {
	if x != nil {
		return x.Enabled
	}
	return false
}

var File_admin_payment_proto protoreflect.FileDescriptor

var file_admin_payment_proto_rawDesc = []byte{
	0x0a, 0x13, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2f, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x2e,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a,
	0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x1a, 0x14, 0x63, 0x6c, 0x69,
	0x65, 0x6e, 0x74, 0x2f, 0x70, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x1a, 0x0c, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0x7f, 0x0a, 0x06, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x31, 0x0a, 0x04, 0x6d, 0x65, 0x74,
	0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1d, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x63, 0x6c, 0x69, 0x65, 0x6e, 0x74, 0x2e,
	0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x18, 0x0a, 0x07,
	0x64, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x64,
	0x65, 0x6c, 0x65, 0x74, 0x65, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x08, 0x52, 0x07, 0x65, 0x6e, 0x61, 0x62, 0x6c, 0x65, 0x64,
	0x32, 0xc1, 0x01, 0x0a, 0x07, 0x50, 0x61, 0x79, 0x6d, 0x65, 0x6e, 0x74, 0x12, 0x42, 0x0a, 0x07,
	0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x73, 0x12, 0x17, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72,
	0x65, 0x65, 0x6a, 0x65, 0x2e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x4d, 0x6f, 0x64, 0x65,
	0x1a, 0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x30, 0x01,
	0x12, 0x44, 0x0a, 0x06, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x12, 0x1c, 0x2e, 0x63, 0x6f, 0x6d,
	0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69,
	0x6e, 0x2e, 0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x1a, 0x1c, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66,
	0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x2e,
	0x4d, 0x65, 0x74, 0x68, 0x6f, 0x64, 0x12, 0x2c, 0x0a, 0x04, 0x53, 0x79, 0x6e, 0x63, 0x12, 0x11,
	0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45, 0x6d, 0x70, 0x74,
	0x79, 0x1a, 0x11, 0x2e, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2e, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x42, 0x70, 0x0a, 0x14, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x42, 0x0b, 0x50, 0x61,
	0x79, 0x6d, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x50, 0x00, 0x5a, 0x3b, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x42, 0x65, 0x74, 0x61, 0x43, 0x6f, 0x6d, 0x70,
	0x61, 0x6e, 0x79, 0x2f, 0x46, 0x72, 0x65, 0x65, 0x6a, 0x65, 0x2f, 0x73, 0x64, 0x6b, 0x2f, 0x67,
	0x6f, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0x3b, 0x66, 0x72, 0x65, 0x65,
	0x6a, 0x65, 0x5f, 0x61, 0x64, 0x6d, 0x69, 0x6e, 0xa2, 0x02, 0x0b, 0x50, 0x61, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_admin_payment_proto_rawDescOnce sync.Once
	file_admin_payment_proto_rawDescData = file_admin_payment_proto_rawDesc
)

func file_admin_payment_proto_rawDescGZIP() []byte {
	file_admin_payment_proto_rawDescOnce.Do(func() {
		file_admin_payment_proto_rawDescData = protoimpl.X.CompressGZIP(file_admin_payment_proto_rawDescData)
	})
	return file_admin_payment_proto_rawDescData
}

var file_admin_payment_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_admin_payment_proto_goTypes = []interface{}{
	(*Method)(nil),          // 0: com.freeje.api.admin.Method
	(*client.Method)(nil),   // 1: com.freeje.api.client.Method
	(*api.RequestMode)(nil), // 2: com.freeje.RequestMode
	(*api.Empty)(nil),       // 3: com.freeje.Empty
}
var file_admin_payment_proto_depIdxs = []int32{
	1, // 0: com.freeje.api.admin.Method.meta:type_name -> com.freeje.api.client.Method
	2, // 1: com.freeje.api.admin.Payment.Methods:input_type -> com.freeje.RequestMode
	0, // 2: com.freeje.api.admin.Payment.Update:input_type -> com.freeje.api.admin.Method
	3, // 3: com.freeje.api.admin.Payment.Sync:input_type -> com.freeje.Empty
	0, // 4: com.freeje.api.admin.Payment.Methods:output_type -> com.freeje.api.admin.Method
	0, // 5: com.freeje.api.admin.Payment.Update:output_type -> com.freeje.api.admin.Method
	3, // 6: com.freeje.api.admin.Payment.Sync:output_type -> com.freeje.Empty
	4, // [4:7] is the sub-list for method output_type
	1, // [1:4] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_admin_payment_proto_init() }
func file_admin_payment_proto_init() {
	if File_admin_payment_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_admin_payment_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Method); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_admin_payment_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_admin_payment_proto_goTypes,
		DependencyIndexes: file_admin_payment_proto_depIdxs,
		MessageInfos:      file_admin_payment_proto_msgTypes,
	}.Build()
	File_admin_payment_proto = out.File
	file_admin_payment_proto_rawDesc = nil
	file_admin_payment_proto_goTypes = nil
	file_admin_payment_proto_depIdxs = nil
}
